Mailinglist Archive: opensuse-security-announce (73 mails)

< Previous Next >
[security-announce] openSUSE-SU-2020:0854-1: important: Security update for mozilla-nspr, mozilla-nss
openSUSE Security Update: Security update for mozilla-nspr, mozilla-nss
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0854-1
Rating: important
References: #1159819 #1169746 #1171978
Cross-References: CVE-2019-17006 CVE-2020-12399
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that solves two vulnerabilities and has one
errata is now available.

Description:

This update for mozilla-nspr, mozilla-nss fixes the following issues:

mozilla-nss was updated to version 3.53

- CVE-2020-12399: Fixed a timing attack on DSA signature generation
(bsc#1171978).
- CVE-2019-17006: Added length checks for cryptographic primitives
(bsc#1159819). Release notes:
https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSS/NSS_3.53_rele
ase_notes

mozilla-nspr to version 4.25

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-854=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

libfreebl3-3.53-lp151.2.23.1
libfreebl3-debuginfo-3.53-lp151.2.23.1
libfreebl3-hmac-3.53-lp151.2.23.1
libsoftokn3-3.53-lp151.2.23.1
libsoftokn3-debuginfo-3.53-lp151.2.23.1
libsoftokn3-hmac-3.53-lp151.2.23.1
mozilla-nspr-4.25-lp151.2.9.1
mozilla-nspr-debuginfo-4.25-lp151.2.9.1
mozilla-nspr-debugsource-4.25-lp151.2.9.1
mozilla-nspr-devel-4.25-lp151.2.9.1
mozilla-nss-3.53-lp151.2.23.1
mozilla-nss-certs-3.53-lp151.2.23.1
mozilla-nss-certs-debuginfo-3.53-lp151.2.23.1
mozilla-nss-debuginfo-3.53-lp151.2.23.1
mozilla-nss-debugsource-3.53-lp151.2.23.1
mozilla-nss-devel-3.53-lp151.2.23.1
mozilla-nss-sysinit-3.53-lp151.2.23.1
mozilla-nss-sysinit-debuginfo-3.53-lp151.2.23.1
mozilla-nss-tools-3.53-lp151.2.23.1
mozilla-nss-tools-debuginfo-3.53-lp151.2.23.1

- openSUSE Leap 15.1 (x86_64):

libfreebl3-32bit-3.53-lp151.2.23.1
libfreebl3-32bit-debuginfo-3.53-lp151.2.23.1
libfreebl3-hmac-32bit-3.53-lp151.2.23.1
libsoftokn3-32bit-3.53-lp151.2.23.1
libsoftokn3-32bit-debuginfo-3.53-lp151.2.23.1
libsoftokn3-hmac-32bit-3.53-lp151.2.23.1
mozilla-nspr-32bit-4.25-lp151.2.9.1
mozilla-nspr-32bit-debuginfo-4.25-lp151.2.9.1
mozilla-nss-32bit-3.53-lp151.2.23.1
mozilla-nss-32bit-debuginfo-3.53-lp151.2.23.1
mozilla-nss-certs-32bit-3.53-lp151.2.23.1
mozilla-nss-certs-32bit-debuginfo-3.53-lp151.2.23.1
mozilla-nss-sysinit-32bit-3.53-lp151.2.23.1
mozilla-nss-sysinit-32bit-debuginfo-3.53-lp151.2.23.1


References:

https://www.suse.com/security/cve/CVE-2019-17006.html
https://www.suse.com/security/cve/CVE-2020-12399.html
https://bugzilla.suse.com/1159819
https://bugzilla.suse.com/1169746
https://bugzilla.suse.com/1171978

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages